%define anolis_release 9
%global so_version 3

Name:           libmetalink
Version:        0.1.3
Release:        %{anolis_release}%{?dist}
Summary:        C library to read Metalink XML download description format
License:        MIT
URL:            https://github.com/metalink-dev/libmetalink
Source0:        https://github.com/metalink-dev/libmetalink/releases/download/release-%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(expat) pkgconfig(cunit)
BuildRequires:  gcc make

%description
Libmetalink is a library to read Metalink XML download description format.
It supports both Metalink version 3 and Metalink version 4 (RFC 5854).

%package        devel
Summary:        Files needed for developing with libmetalink
Requires:       libmetalink = %{version}-%{release}

%description    devel
Files needed for building applications with libmetalink.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n libmetalink-%{version}

%build
%configure --disable-static
%make_build

%check
%make_build check

%install
%make_install
%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%{_libdir}/libmetalink.so.%{so_version}
%{_libdir}/libmetalink.so.%{so_version}.*
%{abidir}/libmetalink.dump

%files devel
%{_includedir}/metalink/
%{_libdir}/libmetalink.so
%{_libdir}/pkgconfig/libmetalink.pc
%{_mandir}/man3/metalink*.3.*

%files doc
%doc AUTHORS ChangeLog NEWS README

%changelog
* Sat Apr 08 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 0.1.3-9
- Optimize the spec file

* Sun Jan 1 2023 Funda Wang <fundawang@yeah.net> - 0.1.3-8
- Bump release for upgrading from anolis 8

* Thu Sep 29 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.1.3-2
- add doc package

* Mon Mar 14 2022 Liwei Ge <liwei.glw@linux.alibaba.com> - 0.1.3-1
- Init version from upstream v0.1.3
